## calibre 0.4.143+dfsg

=== src/calibre/manual/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = sphinx-build
PAPER        =

ALLSPHINXOPTS = -d .build/doctrees -D latex_paper_size=$(PAPER) \
                $(SPHINXOPTS) .

.PHONY: help clean html web htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  web       to make files usable by Sphinx.web"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf .build/* cli

html:
	mkdir -p .build/html .build/doctrees
	$(SPHINXBUILD) -b custom $(ALLSPHINXOPTS) .build/html
	@echo
	@echo "Build finished. The HTML pages are in .build/html."

web:
	mkdir -p .build/web .build/doctrees
	$(SPHINXBUILD) -b web $(ALLSPHINXOPTS) .build/web
	@echo
	@echo "Build finished; now you can run"
	@echo "  python -m sphinx.web .build/web"
	@echo "to start the server."

htmlhelp:
	mkdir -p .build/htmlhelp .build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) .build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in .build/htmlhelp."

latex:
	mkdir -p .build/latex .build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) .build/latex
	@echo
	@echo "Build finished; the LaTeX files are in .build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p .build/changes .build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) .build/changes
	@echo
	@echo "The overview file is in .build/changes."

linkcheck:
	mkdir -p .build/linkcheck .build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) .build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in .build/linkcheck/output.txt."

## calibre 0.6.13+dfsg

=== src/calibre/devices/usbobserver/Makefile ===
usbobserver.so : usbobserver.o
	gcc -arch i386 -arch ppc -bundle usbobserver.o -o usbobserver.so -framework Python -framework IOKit -framework CoreFoundation

usbobserver.o : usbobserver.c
	gcc -arch i386 -arch ppc -dynamic -I/Library/Frameworks/Python.framework/Versions/2.5/include/python2.5 -c usbobserver.c -o usbobserver.o 


install : usbobserver.so
	cp usbobserver.so /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages/

clean : 
	rm -f *.o *.so

=== src/calibre/utils/windows/Makefile ===
# Makefile to test the winutil module
# Invoke with nmake /f  Makefile.winutil

test : winutil.pyd
    python.exe -c "import winutil; winutil.set_debug(True); print repr(winutil.strftime(u'%b %a %A')); "
#python.exe -c "import winutil; winutil.set_debug(True); print winutil.get_usb_devices(); print winutil.get_mounted_volumes_for_usb_device(0x054c, 0x031e)"

winutil.pyd : winutil.obj
	link.exe /DLL /nologo /INCREMENTAL:NO /LIBPATH:c:\Python25\libs \
	/LIBPATH:c:\Python25\PCBuild shell32.lib setupapi.lib /EXPORT:initwinutil \
	winutil.obj /OUT:winutil.pyd


winutil.obj : winutil.c
	cl.exe /c /nologo /Ox /MD /W3 /GX /DNDEBUG -Ic:\Python25\include \
	-Ic:\Python25\PC -Ic:\WinDDK\6001.18001\inc\api /Tcwinutil.c /Fowinutil.obj

clean :
	del winutil.pyd winutil.obj winutil.exp winutil.lib

## calibre 0.6.42+dfsg

=== src/calibre/manual/Makefile ===
--- 
+++ 
@@ -28,6 +28,20 @@
 	$(SPHINXBUILD) -b custom $(ALLSPHINXOPTS) .build/html
 	@echo
 	@echo "Build finished. The HTML pages are in .build/html."
+
+qthelp:
+	mkdir -p .build/qthelp .build/doctrees
+	$(SPHINXBUILD) -b customqt $(ALLSPHINXOPTS) .build/qthelp
+	@echo
+	@echo "Build finished." 
+
+epub:
+	mkdir -p .build/qthelp .build/doctrees
+	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) .build/epub
+	@echo
+	@echo "Build finished."
+
+
 
 web:
 	mkdir -p .build/web .build/doctrees

## calibre 0.6.42+dfsg-1jolicloud2

=== debian/changelog ===
calibre (0.6.42+dfsg-1jolicloud2) robby; urgency=low

  * Fix build-dependencies to include imagemagick

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 12:09:05 +0200

calibre (0.6.42+dfsg-1jolicloud1) robby; urgency=low

  [ Benjamin Ryzman ]
  * Imported Upstream version 0.6.42+dfsg

  [ Martin Pitt ]
  * Imported Debian patch 0.6.42+dfsg-0ubuntu1

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 11:56:19 +0200

calibre (0.6.42+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release. (LP: #527190)
  * Drop bundled_cssutils_profiles.patch, and associated handling in
    debian/rules: New upstream release now uses the external python-cssutils
    and python-encutils. Bump python-cssutils dependency to >= 0.9.6 to ensure
    that cssutils.profiles is available.
  * debian/calibre.install: Do not install the udev rules. Thy are useless
    right now, and use obsolete syntax as well.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Feb 2010 21:25:34 +0100

calibre (0.6.36+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 29 Jan 2010 09:27:04 +0100

calibre (0.6.31+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.
    - Now uses desktop notification daemon if available. (LP: #451563)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 01 Jan 2010 14:18:52 +0100

calibre (0.6.24+dfsg-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * debian/rules: Update get-orig-source, upstream tarball has a single
    top-level directory again.
  * Refresh patches for new upstream version.
  * Drop disable-podofo-extension.patch, not necessary any more.
  * Drop remove_postinstall.patch, and remove manual postinstall call from
    debian/rules, upstream's build system sufficiently works for packaging
    now.
  * debian/control: Add libmagickwand-dev build dep.
  * debian/rules:
    - Drop explicit mkdir -p debian/tmp/usr/bin, fixed upstream.
    - Fix handling of src/cssutils_profiles.py, upstream install needs it in
      original tree already.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sat, 21 Nov 2009 10:58:57 -0600

calibre (0.6.13+dfsg-0ubuntu3) karmic; urgency=low

  * debian/rules: Fix arch-dependent-only build, to fix FTBFS on all non-i386
    architectures.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Sep 2009 20:50:04 +0200

calibre (0.6.13+dfsg-0ubuntu2) karmic; urgency=low

  * debian/control: Add missing python build dependencies, we call setup after
    stripping the upstream-bundled libraries now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Sep 2009 19:35:15 +0200

calibre (0.6.13+dfsg-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release.
  * Drop patches included upstream:
    - setup.py-install-root-option.patch
    - fix-setup.py-install-root.patch
    - fix_recipe_zeitde.patch
    - dont-install-unneeded-files.patch
    - remove-bzrlib-builddep.patch
  * debian/rules: Make postinstall invocation work without calibre being
    installed already. This is currently very ugly, but will be fixed more
    elegantly in the next upstream version.
  * debian/rules: Drop path fixing of udev rules, upstream installs into
    /lib/udev/rules.d/ by default now.
  * no_updates_dialog.patch: Upstream added a --no-update-check option. Throw
    away old patch, set this official option to True by default, and rename it
    to --update-check, so that you can enable it on demand.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 20 Sep 2009 18:31:20 +0200

calibre (0.6.12+dfsg-0ubuntu3) karmic; urgency=low

  * Re-add python-setuptools build dependency, it's still imported for some
    parts of setup.py.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Sep 2009 12:26:07 +0200

calibre (0.6.12+dfsg-0ubuntu2) karmic; urgency=low

  * Add remove-bzrlib-builddep.patch: Do not require bzr as a build
    dependency.
  * debian/control, debian/rules: Drop usage of python-central, since current
    upstream version does not use public python modules any more.
  * Add dont-install-unneeded-files.patch: Cherrypick fix from trunk to not
    install trac, manual, and demo files (they are for the website).
  * debian/patches/series: Categorize patches by upstream status.
  * debian/control: Set primary maintainer to ubuntu-dev, package is requested
    to be removed from Debian.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Sep 2009 11:50:09 +0200

calibre (0.6.12+dfsg-0ubuntu1) karmic; urgency=low

  * New upstream bug fix release.
  * debian/rules: Update get-orig-source for new upstream source layout.
  * Drop recipe_zeitde_moresections.patch: Applied upstream.
  * Add fix-setup.py-install-root.patch: Fix setup.py install --root option to
    do what --root should do.
  * Add disable-podofo-extension.patch: Disable podofo extension, podofo is
    not yet packaged.
  * debian/rules: Replace copy of Liberation TTFs with symlink to
    ttf-liberation files.
  * debian/rules: Remove unnecessary executable permissions from libraries in
    /usr/lib/calibre/.
  * debian/control: Set Vcs-Bzr: for Ubuntu branch.
  * Add fix_recipe_zeitde.patch: Fix recipe for "Die Zeit", zeit.de recently
    reorganized their web pages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 18 Sep 2009 01:18:18 +0200

calibre (0.6.10+dfsg-0ubuntu1) karmic; urgency=low

  [ Martin Pitt ]
  * New upstream release. Please see http://calibre.kovidgoyal.net/new_in_6/
    for the list of new features and changes. (Closes: #539343)
  * remove_postinstall.patch: Update for new version.
  * build_debug.patch: Remove, not necessary any more apparently.
  * debian/copyright: Fix reference to versionless GPL.
  * debian/rules: Drop obsolete dh_desktop call.
  * debian/rules: Add workaround for weird Python 2.6 setuptools behaviour of
    putting compiled .so files into src/calibre/plugins/calibre/plugins
    instead of src/calibre/plugins.
  * debian/rules: Drop hal fdi moving, new upstream version does not use hal


=== debian/control ===
Source: calibre
Section: text
Priority: extra
Build-Depends: cdbs (>= 0.4.43), 
 debhelper (>= 5.0.51), 
 dh-buildinfo,  
 quilt, 
 python (>= 2.6),
 python-setuptools,
 txt2man,
 python-qt4-dev (>= 4.3.3-2ubuntu1),
 python-imaging, 
 python-lxml, 
 python-mechanize, 
 python-beautifulsoup, 
 python-dateutil, 
 python-django-tagging, 
 python-pkg-resources,
 python-cssutils (>= 0.9.6),
 python-pypdf,
 python-encutils,
 python-cherrypy3,
 pyqt4-dev-tools,
 libmagickwand-dev,
 sip4, 
 libqt4-dev, 
 libpoppler-qt4-dev,
 imagemagick
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Standards-Version: 3.8.3
XS-Python-Version: current
Homepage: http://calibre.kovidgoyal.net/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-dev/calibre/ubuntu

Package: calibre
Architecture: all
Depends: python (>= 2.6), python-dbus,
 python-imaging, python-lxml, python-mechanize,
 python-beautifulsoup, python-pkg-resources, python-pypdf (>= 1.10),
 python-cssutils (>= 0.9.6), python-encutils (>= 0.9.5), python-cherrypy3 (>= 3.1.1), 
 python-dateutil, python-django-tagging, python-qt4, xdg-utils, 
 imagemagick, ttf-liberation, calibre-bin (>= ${source:Version})
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to ebook conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily a ebook cataloging program. It manages your ebook
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to ebooks in several
 formats. It also upports conversion from a dozen different ebook formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a ebook and upload to a connected device. There is
 support for generating LRF/EPUB ebooks. The ebooks include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in ebook viewer that can display all the major ebook
 formats.

Package: calibre-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.6
Recommends: calibre (>= ${source:Version})
Description: e-book converter and library management
 Calibre is meant to be a complete e-library solution. It includes library
 management, format conversion, news feeds to ebook conversion as well as
 e-book reader sync features.
 .
 Calibre is primarily a ebook cataloging program. It manages your ebook
 collection for you. It is designed around the concept of the logical book,
 i.e. a single entry in the database that may correspond to ebooks in several
 formats. It also upports conversion from a dozen different ebook formats to
 LRF and EPUB. A graphical interface to the conversion software can be
 accessed easily by just clicking the "Convert E-books" button.
 .
 Supported input formats are: MOBI, LIT, PRC, EPUB, ODT, HTML, CBR, CBZ, RTF,
 TXT, PDF and LRS.
 .
 Calibre has a modular device driver design that makes adding support for
 different e-reader devices easy. At the moment, it has support for the
 SONY PRS 500/505/700 and the iPhone (with the stanza reader software).
 Syncing supports updating metadata on the device from metadata in the library
 and the creation of collections on the device based on the tags defined in
 the library view. If an book has more than one format available, calibre
 automatically chooses the best format when uploading to the device.
 .
 Calibre can automatically fetch news from a number of websites/RSS feeds,
 format the news into a ebook and upload to a connected device. There is
 support for generating LRF/EPUB ebooks. The ebooks include the *full*
 versions of the articles, not just the summaries.
 .
 Calibre has also a built-in ebook viewer that can display all the major ebook
 formats.
 .
 This package contains the compiled architecture dependent plugins.

=== debian/rules ===
#!/usr/bin/make -f

PYTHON=$(shell which python2.6)
SETUP=$(PYTHON) setup.py
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# This filters out *.so for the package "calibre". With this, we can
# install usr/lib in calibre.install and just leave out the binary
# bits.
DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

common-build-arch::
	[ -d build ] || $(SETUP) build

common-install-arch common-install-indep:: debian/tmp
	dh_buildinfo

debian/tmp:
	CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr

	# remove bundled python libraries which are provided by system
	# packages
	rm -r debian/tmp/usr/lib/calibre/cherrypy
	rm -r debian/tmp/usr/lib/calibre/pyPdf

	# not needed
	rm debian/tmp/usr/bin/calibre-uninstall

	# this is crack, and we have automounting
	rm debian/tmp/usr/bin/calibre-mount-helper

	# remove hardcoded prs500 fonts, so that calibre falls back to
	# using the liberation ones in /usr/share/fonts/
	rm -r debian/tmp/usr/share/calibre/fonts/prs500/
	# do not ship a copy of ttf-liberation
	rm -r debian/tmp/usr/share/calibre/fonts/liberation/
	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation

	# fix executable permissions
	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x

	# add icon
	mkdir -p debian/tmp/usr/share/pixmaps/
	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
	convert -transparent white icons/viewer.ico debian/tmp/usr/share/pixmaps/lrfviewer.png

install/calibre::
	# Create and install some of the man pages
	$(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"

clean::
	rm -rf debian/orig
	[ ! -d build ] || $(SETUP) build -c
	$(MAKE) -C debian/man clean

# Downloads the current upstream release according to
# debian/changelog, and replace the non-free prs500 TTFs with symlinks
# to their free liberation fonts counterparts. This also updates the unpacked
# source tree to the new upstream version.
get-orig-source:
	set -e; \
	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
	mkdir -p debian/orig; cd debian/orig; \
	wget -O - http://calibre.kovidgoyal.net/downloads/calibre-$$V.tar.gz | tar xz; \
	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
	cd calibre*/resources/fonts; \
	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \
	rm prs500/tt0011m_.ttf; ln -s ../liberation/LiberationSerif-Regular.ttf prs500/tt0011m_.ttf; \
	rm prs500/tt0419m_.ttf; ln -s ../liberation/LiberationMono-Regular.ttf prs500/tt0419m_.ttf; \
	cd $$D; tar c . | gzip -9 > ../../../calibre_$$V+dfsg.orig.tar.gz; \
	cd ../..; rm -r debian/orig; \
	find -mindepth 1 -maxdepth 1 ! -name '.bzr*' ! -name debian | xargs rm -rf; \
	[ ! -e setup.py ] || tar xzf ../calibre_$$V+dfsg.orig.tar.gz  --strip-components 2

## calibre 0.7.17+dfsg

=== debian/changelog ===
calibre (0.7.17+dfsg-0uk3) unstable; urgency=low

  * New upstream version. 

 -- Gerald Hochegger <gerald.hochegger@uni-klu.ac.at>  Wed, 08 Sep 2010 16:37:12 +0200

calibre (0.7.13+dfsg-1) unstable; urgency=low

  * New upstream version.
  * debian/control: Add python-routes recommends. (Closes: #590561)
  * Convert to 3.0 (quilt) source format.
  * Bump debhelper compat level to 7, and drop now obsolete
    DEB_DH_INSTALL_SOURCEDIR in debian/rules.
  * debian/control: Add missing ${misc:Depends}.
  * debian/control: Bump Standards-Version to 3.9.1.
  * debian/copyright: Replace obsolete reference to
    /usr/share/common-licenses/BSD with their verbatim text from the original
    source.
  * debian/rules: Remove invalid hashbang lines from *.recipe, these have no
    __main__.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Aug 2010 11:30:57 +0200

calibre (0.7.7+dfsg-1) unstable; urgency=low

  * New upstream release.
    - Fixes wrong version display in main window. (Closes: #587281)

 -- Martin Pitt <mpitt@debian.org>  Fri, 09 Jul 2010 10:35:31 +0200

calibre (0.7.2+dfsg-1) unstable; urgency=low

  * New major upstream version. See http://calibre-ebook.com/new-in/seven for
    details.
  * Refresh patches to apply cleanly.
  * debian/control: Bump python-cssutils to >= 0.9.7~ to ensure the existence
    of the CSSRuleList.rulesOfType attribute. This makes epub conversion work
    again. (Closes: #584756)
  * Add debian/local/calibre-mount-helper: Simple and safe replacement for
    upstream's calibre-mount-helper, using udisks --mount and eject.
    (Closes: #584915, LP: #561958)

 -- Martin Pitt <mpitt@debian.org>  Mon, 21 Jun 2010 10:18:08 +0200

calibre (0.6.54+dfsg-1) unstable; urgency=low

  * New upstream release. Please see http://calibre.kovidgoyal.net/new_in_6/
    for the list of new features and changes. (Closes: #539343, #575546,
    LP: #529730)
    - Fixes crashes on startup. (Closes: #533428, #539119)
    - Fixes "invalid type" errors. (Closes: #545858)
  * Overhaul and update the packaging for the new release's build system.
    Changes taken from the Ubuntu branch/package.
  * debian/control: Bump Python dependencies to 2.6, since upstream needs
    it now.
  * debian/rules: Force all hashbang lines to #!/usr/bin/python2.6, as long as
    2.5 is still the default in Debian.
  * Bump Standards-Version to 3.8.4.

 -- Martin Pitt <mpitt@debian.org>  Sun, 23 May 2010 15:34:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,9 @@
 Section: text
 Priority: extra
 Build-Depends: cdbs (>= 0.4.43), 
- debhelper (>= 5.0.51), 
+ debhelper (>= 7),
  dh-buildinfo,  
- quilt, 
- python (>= 2.6),
+ python2.6-dev | python-dev (>= 2.6),
  python-setuptools,
  txt2man,
  python-qt4-dev (>= 4.3.3-2ubuntu1),
@@ -25,21 +24,24 @@
  sip4, 
  libqt4-dev, 
  libpoppler-qt4-dev,
- imagemagick
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.8.3
+ libchm-dev
+Maintainer: Miriam Ruiz <little_miry@yahoo.es>
+Uploaders: Martin Pitt <mpitt@debian.org>
+Standards-Version: 3.9.1
 XS-Python-Version: current
 Homepage: http://calibre.kovidgoyal.net/
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-dev/calibre/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
 
 Package: calibre
 Architecture: all
-Depends: python (>= 2.6), python-dbus,
+Depends: python2.6 | python (>= 2.6), python-dbus,
  python-imaging, python-lxml, python-mechanize,
  python-beautifulsoup, python-pkg-resources, python-pypdf (>= 1.10),
  python-cssutils (>= 0.9.6), python-encutils (>= 0.9.5), python-cherrypy3 (>= 3.1.1), 
  python-dateutil, python-django-tagging, python-qt4, xdg-utils, 
- imagemagick, ttf-liberation, calibre-bin (>= ${source:Version})
+ imagemagick, ttf-liberation, calibre-bin (>= ${source:Version}),
+ ${misc:Depends}
+Recommends: python-routes
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library
  management, format conversion, news feeds to ebook conversion as well as

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 PYTHON=$(shell which python2.6)
 SETUP=$(PYTHON) setup.py
-DEB_DH_INSTALL_SOURCEDIR := debian/tmp
 
 # This filters out *.so for the package "calibre". With this, we can
 # install usr/lib in calibre.install and just leave out the binary
@@ -10,7 +9,6 @@
 DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 common-build-arch::
 	[ -d build ] || $(SETUP) build
@@ -29,8 +27,11 @@
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
 
-	# this is crack, and we have automounting
+	# upstream's version is pretty crackful and suid root; replace with
+	# simple script to use udisks --mount (just in case we don't have
+	# automount) and eject
 	rm debian/tmp/usr/bin/calibre-mount-helper
+	install -m 755 debian/local/calibre-mount-helper debian/tmp/usr/bin/
 
 	# remove hardcoded prs500 fonts, so that calibre falls back to
 	# using the liberation ones in /usr/share/fonts/
@@ -40,12 +41,17 @@
 	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation
 
 	# fix executable permissions
-	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
+	find debian/tmp/usr/lib/calibre/calibre debian/tmp/usr/share/calibre/recipes -type f | xargs chmod a-x
 
 	# add icon
 	mkdir -p debian/tmp/usr/share/pixmaps/
 	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
-	convert -transparent white icons/viewer.ico debian/tmp/usr/share/pixmaps/lrfviewer.png
+
+	# force python2.6, as long as 2.5 is still the default in Debian
+	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.6_ }'
+
+	# remove invalid hashbangs from recipes, they have no __main__
+	find debian/tmp -name '*.recipe' | xargs sed -i '1 { /^#!/ d }'
 
 install/calibre::
 	# Create and install some of the man pages

## calibre 0.7.18+dfsg

=== debian/changelog ===
calibre (0.7.18+dfsg-1) unstable; urgency=low

  * New upstream release, with support for more devices, more news recipes,
    and bug fixes.
  * debian/local/calibre-mount-helper: Exit with nonzero if mounting failed,
    to avoid calibre getting confused. Thanks Olaf Leidinger!

 -- Martin Pitt <mpitt@debian.org>  Mon, 13 Sep 2010 10:03:42 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python-dateutil, 
  python-django-tagging, 
  python-pkg-resources,
- python-cssutils (>= 0.9.6),
+ python-cssutils (>= 0.9.7~),
  python-pypdf,
  python-encutils,
  python-cherrypy3,
@@ -37,7 +37,7 @@
 Depends: python2.6 | python (>= 2.6), python-dbus,
  python-imaging, python-lxml, python-mechanize,
  python-beautifulsoup, python-pkg-resources, python-pypdf (>= 1.10),
- python-cssutils (>= 0.9.6), python-encutils (>= 0.9.5), python-cherrypy3 (>= 3.1.1), 
+ python-cssutils (>= 0.9.7~), python-encutils (>= 0.9.5), python-cherrypy3 (>= 3.1.1), 
  python-dateutil, python-django-tagging, python-qt4, xdg-utils, 
  imagemagick, ttf-liberation, calibre-bin (>= ${source:Version}),
  ${misc:Depends}

## calibre 0.7.29+dfsg

=== debian/changelog ===
calibre (0.7.29+dfsg-1) unstable; urgency=low

  * New upstream release. (Closes: #600787)
    - Fixes handling of epubs with different local/global encoding.
      (Closes: #597533)
    - Removes remaining string-type exceptions. (Closes: #585216)
  * debian/control: Add recommends to python-dnspython. (Closes: #604120)
  * debian/control: Bump python-qt4 dependencies to >= 4.7.3.
    (Closes: #584855)
  * debian/rules: Remove internal copy of pyparsing and replace imports with
    system library. Add python-pyparsing build and binary dependency.
    (Closes: #555368)
  * debian/control, debian/rules: Remove hacks to force Python 2.6, that
    version is the default now.
  * debian/rules: Call dh_install with --fail-missing.
  * debian/calibre.install: Install new templite module.
  * debian/control, debian/rules: Remove internal routes Python module. Add
    python-routes build and binary dependency.

 -- Martin Pitt <mpitt@debian.org>  Sat, 20 Nov 2010 17:51:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Build-Depends: cdbs (>= 0.4.43), 
  debhelper (>= 7),
  dh-buildinfo,  
- python2.6-dev | python-dev (>= 2.6),
+ python-dev (>= 2.6),
  python-setuptools,
  txt2man,
- python-qt4-dev (>= 4.3.3-2ubuntu1),
+ python-qt4-dev (>= 4.7.3),
  python-imaging, 
  python-lxml, 
  python-mechanize, 
@@ -19,6 +19,8 @@
  python-pypdf,
  python-encutils,
  python-cherrypy3,
+ python-pyparsing,
+ python-routes,
  pyqt4-dev-tools,
  libmagickwand-dev,
  sip4, 
@@ -34,14 +36,28 @@
 
 Package: calibre
 Architecture: all
-Depends: python2.6 | python (>= 2.6), python-dbus,
- python-imaging, python-lxml, python-mechanize,
- python-beautifulsoup, python-pkg-resources, python-pypdf (>= 1.10),
- python-cssutils (>= 0.9.7~), python-encutils (>= 0.9.5), python-cherrypy3 (>= 3.1.1), 
- python-dateutil, python-django-tagging, python-qt4, xdg-utils, 
- imagemagick, ttf-liberation, calibre-bin (>= ${source:Version}),
+Depends: python (>= 2.6), 
+ python-dbus,
+ python-imaging, 
+ python-lxml, 
+ python-mechanize,
+ python-beautifulsoup,
+ python-pkg-resources,
+ python-pypdf (>= 1.10),
+ python-cssutils (>= 0.9.7~),
+ python-encutils (>= 0.9.5),
+ python-cherrypy3 (>= 3.1.1), 
+ python-dateutil,
+ python-django-tagging,
+ python-qt4 (>= 4.7.3),
+ python-pyparsing,
+ python-routes,
+ xdg-utils, 
+ imagemagick,
+ ttf-liberation,
+ calibre-bin (>= ${source:Version}),
  ${misc:Depends}
-Recommends: python-routes
+Recommends: python-routes, python-dnspython
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library
  management, format conversion, news feeds to ebook conversion as well as

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,11 @@
 #!/usr/bin/make -f
 
-PYTHON=$(shell which python2.6)
-SETUP=$(PYTHON) setup.py
+SETUP=python setup.py
 
 # This filters out *.so for the package "calibre". With this, we can
 # install usr/lib in calibre.install and just leave out the binary
 # bits.
-DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so)
+DEB_DH_INSTALL_ARGS = $(if $(findstring -bin,$(cdbs_curpkg)),,-X*.so) --fail-missing
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -23,6 +22,10 @@
 	# packages
 	rm -r debian/tmp/usr/lib/calibre/cherrypy
 	rm -r debian/tmp/usr/lib/calibre/pyPdf
+	rm -r debian/tmp/usr/lib/calibre/routes
+
+	rm debian/tmp/usr/lib/calibre/calibre/utils/pyparsing.py
+	find debian/tmp/ -name '*.py' | xargs sed -i 's/calibre.utils.pyparsing/pyparsing/g'
 
 	# not needed
 	rm debian/tmp/usr/bin/calibre-uninstall
@@ -46,9 +49,6 @@
 	# add icon
 	mkdir -p debian/tmp/usr/share/pixmaps/
 	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
-
-	# force python2.6, as long as 2.5 is still the default in Debian
-	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.6_ }'
 
 	# remove invalid hashbangs from recipes, they have no __main__
 	find debian/tmp -name '*.recipe' | xargs sed -i '1 { /^#!/ d }'

=== debian/watch ===
# watch control file for uscan
# see uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# remove +dfsg upstream version suffix
opts=dversionmangle=s/\+dfsg$// \
  http://calibre.kovidgoyal.net/downloads/calibre-(.*)\.tar\.gz

## calibre 0.7.32+dfsg

=== debian/changelog ===
calibre (0.7.32+dfsg-1build1) natty; urgency=low

  * No changes rebuild to use latest libs and fix "'module' object has no
    attribute 'FlowImages'" on start (LP: #694687)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 10 Jan 2011 05:58:28 +0000

calibre (0.7.32+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/rules, debian/copyright, debian/control, debian/watch: Update to
    new upstream page domain name.
  * manpages-installation.patch: Install manpages under /usr/share/man under
    KFreeBSD, too. (part of #604267)
  * debian/rules: Remove bogus /config directory which the KFreeBSD
    installation creates. (Closes: #604267)
  * debian/control: Add new build/binary dependency python-pythonmagick, and
    new build dependency libsqlite3-dev.

 -- Martin Pitt <mpitt@debian.org>  Sun, 05 Dec 2010 13:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,10 @@
  python-cherrypy3,
  python-pyparsing,
  python-routes,
+ python-pythonmagick,
  pyqt4-dev-tools,
  libmagickwand-dev,
+ libsqlite3-dev,
  sip4, 
  libqt4-dev, 
  libpoppler-qt4-dev,
@@ -31,7 +33,7 @@
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.1
 XS-Python-Version: current
-Homepage: http://calibre.kovidgoyal.net/
+Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
 
 Package: calibre
@@ -52,6 +54,7 @@
  python-qt4 (>= 4.7.3),
  python-pyparsing,
  python-routes,
+ python-pythonmagick,
  xdg-utils, 
  imagemagick,
  ttf-liberation,

=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 
 # remove +dfsg upstream version suffix
 opts=dversionmangle=s/\+dfsg$// \
-  http://calibre.kovidgoyal.net/downloads/calibre-(.*)\.tar\.gz
+  http://calibre-ebook.com/downloads/calibre-(.*)\.tar\.gz

## calibre 0.7.38+dfsg

=== debian/changelog ===
calibre (0.7.38+dfsg-2ubuntu1) natty; urgency=low

  * Use calibre icon for LRF Viewer until it has its own one (LP: #704075) 

 -- Jonathan Carter <jonathan@ubuntu.com>  Mon, 24 Jan 2011 14:23:48 -0500

calibre (0.7.38+dfsg-2) unstable; urgency=low

  * debian/copyright: Update according to current upstream COPYING. In
    particular, the pdfreflow extension is now distributed under GPL-2+. This
    permits linking against poppler (which is GPL 2 only).
    (Closes: #609581)
  * Add kfreebsd.patch: Fix building under GNU/kFreeBSD, thanks Petr Salinger!
    (Closes: #609557)

 -- Martin Pitt <mpitt@debian.org>  Wed, 12 Jan 2011 22:25:48 -0600

calibre (0.7.38+dfsg-1) unstable; urgency=low

  * New upstream release:
    - Fix path traversal vulnerability in the content server (not enabled by
      default). See http://bugs.calibre-ebook.com/ticket/7980,
      http://www.waraxe.us/advisory-77.html. First half of #608822
  * debian/control: Add new build dependency libicu-dev.
  * Add 00upstream_content_server_xss.patch: Fix XSS vulnerability in the
    content server, the other half of above issue. (Closes: #608822) Patch
    cherrypicked from upstream bzr (r7531)

 -- Martin Pitt <mpitt@debian.org>  Mon, 10 Jan 2011 09:18:13 -0600

=== debian/rules ===
--- 
+++ 
@@ -53,6 +53,9 @@
 	# remove invalid hashbangs from recipes, they have no __main__
 	find debian/tmp -name '*.recipe' | xargs sed -i '1 { /^#!/ d }'
 
+	# remove bogus files on KFreeBSD installation
+	rm -rf debian/tmp/config
+
 install/calibre::
 	# Create and install some of the man pages
 	$(MAKE) -C debian/man VERSION="$(MAIN_VERSION)"
@@ -70,7 +73,7 @@
 	set -e; \
 	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
 	mkdir -p debian/orig; cd debian/orig; \
-	wget -O - http://calibre.kovidgoyal.net/downloads/calibre-$$V.tar.gz | tar xz; \
+	wget -O - http://calibre-ebook.com/downloads/calibre-$$V.tar.gz | tar xz; \
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
 	cd calibre*/resources/fonts; \
 	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \

## calibre 0.7.42+dfsg

=== debian/changelog ===
calibre (0.7.42+dfsg-1build1) natty; urgency=low

  * No changes upload because of python-qt4 update (LP: #709060)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 29 Jan 2011 19:07:29 +0100

calibre (0.7.42+dfsg-1) unstable; urgency=low

  [ Jonathan Carter ]
  * Use calibre icon for LRF Viewer until it has its own one (Closes: #606900,
    LP: #704075) 

  [ Martin Pitt ]
  * New upstream release.
  * Drop 00upstream_content_server_xss.patch, in upstream release now.
  * no_updates_dialog.patch: Unfuzz for new release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 25 Jan 2011 13:12:02 +0100

## calibre 0.7.43+dfsg

=== debian/changelog ===
calibre (0.7.43+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Replace obsolete "sip4" build dependency with
    python-sip-dev. (Closes: #611092)
  * debian/control: Fix forgotten hardcoded python2.6 dependency.
  * debian/control: Add missing ${sip:Depends} to -bin.

 -- Martin Pitt <mpitt@debian.org>  Mon, 31 Jan 2011 12:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,9 @@
  pyqt4-dev-tools,
  libmagickwand-dev,
  libsqlite3-dev,
- sip4, 
+ python-sip-dev,
  libqt4-dev, 
+ libicu-dev, 
  libpoppler-qt4-dev,
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
@@ -94,7 +95,10 @@
 
 Package: calibre-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, python2.6
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ ${sip:Depends},
+  python (>= 2.6)
 Recommends: calibre (>= ${source:Version})
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library

## calibre 0.7.44+dfsg

=== debian/changelog ===
calibre (0.7.44+dfsg-1) unstable; urgency=low

  [ Martin Pitt ]
  * New upstream release.
  * debian/rules: Update get-orig-source for reorganized upstream download
    URL.

  [ Jose Ernesto Davila Pantoja ]
  * debian/control:
    - Support was misspelled as upport. (Closes: LP: #706221)
    - Removed python-routes from Recommends, it's already a Depends.

 -- Martin Pitt <mpitt@debian.org>  Fri, 11 Feb 2011 10:19:12 +0100

=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
  ttf-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}
-Recommends: python-routes, python-dnspython
+Recommends: python-dnspython
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library
  management, format conversion, news feeds to ebook conversion as well as
@@ -70,7 +70,7 @@
  Calibre is primarily a ebook cataloging program. It manages your ebook
  collection for you. It is designed around the concept of the logical book,
  i.e. a single entry in the database that may correspond to ebooks in several
- formats. It also upports conversion from a dozen different ebook formats to
+ formats. It also supports conversion from a dozen different ebook formats to
  LRF and EPUB. A graphical interface to the conversion software can be
  accessed easily by just clicking the "Convert E-books" button.
  .

=== debian/rules ===
--- 
+++ 
@@ -73,7 +73,7 @@
 	set -e; \
 	V=`dpkg-parsechangelog | sed -rn '/^Version:/ {s/^Version: ([0-9.]+).*$$/\1/; p}'`; \
 	mkdir -p debian/orig; cd debian/orig; \
-	wget -O - http://calibre-ebook.com/downloads/calibre-$$V.tar.gz | tar xz; \
+	wget -O - http://status.calibre-ebook.com/dist/src | tar xz; \
 	D=`pwd`; rm -f calibre*/src/odf/thumbnail.py; \
 	cd calibre*/resources/fonts; \
 	rm prs500/tt0003m_.ttf; ln -s ../liberation/LiberationSans-Regular.ttf prs500/tt0003m_.ttf; \

## calibre 0.7.50+dfsg

=== src/calibre/utils/windows/Makefile ===
# Makefile to test the winutil module
# Invoke with nmake /f  Makefile.winutil

test : winutil.pyd
    \python26\python.exe -c "import winutil; winutil.set_debug(True); print repr(winutil.strftime(u'%b %a %A')); "
#python.exe -c "import winutil; winutil.set_debug(True); print winutil.get_usb_devices(); print winutil.get_mounted_volumes_for_usb_device(0x054c, 0x031e)"

winutil.pyd : winutil.obj
	link.exe /DLL /nologo /INCREMENTAL:NO /LIBPATH:c:\Python26\libs \
	/LIBPATH:c:\Python26\PCBuild shell32.lib setupapi.lib 	Wininet.lib /EXPORT:initwinutil \
	winutil.obj /OUT:winutil.pyd


winutil.obj : winutil.c
	cl.exe /c /nologo /Ox /MD /W3 /GX /DNDEBUG -Ic:\Python26\include \
	-Ic:\Python26\PC -Ic:\WinDDK\6001.18001\inc\api /Tcwinutil.c /Fowinutil.obj

clean :
	del winutil.pyd winutil.obj winutil.exp winutil.lib

=== debian/changelog ===
calibre (0.7.50+dfsg-2) unstable; urgency=low

  * debian/control: Build with libpodofo-dev to enable PDF metadata.
    (Closes: #619632)
  * debian/control: Add libboost1.42-dev build dependency. Apparently it is
    needed in some setups. (Closes: #619807)
  * debian/rules: Call dh_sip to generate a proper sip API dependency, to
    prevent crashes like #616372 for partial upgrades.
  * debian/control: Bump python-qt4 dependency to >= 4.8.3-2, which reportedly
    fixes crashes on startup. (Closes: #619701, #620125)

 -- Martin Pitt <mpitt@debian.org>  Tue, 12 Apr 2011 11:29:25 +0200

calibre (0.7.50+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against current python-sip ABI. (Closes: #616372, #619238)
  * debian/control: Add poppler-utils dependency to ensure that pdftohtml is
    available. (Closes: #612041)

 -- Martin Pitt <mpitt@debian.org>  Thu, 24 Mar 2011 23:11:22 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,8 @@
  libqt4-dev, 
  libicu-dev, 
  libpoppler-qt4-dev,
+ libpodofo-dev,
+ libboost1.42-dev,
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
@@ -52,12 +54,13 @@
  python-cherrypy3 (>= 3.1.1), 
  python-dateutil,
  python-django-tagging,
- python-qt4 (>= 4.7.3),
+ python-qt4 (>= 4.8.3-2),
  python-pyparsing,
  python-routes,
  python-pythonmagick,
  xdg-utils, 
  imagemagick,
+ poppler-utils,
  ttf-liberation,
  calibre-bin (>= ${source:Version}),
  ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 
 common-install-arch common-install-indep:: debian/tmp
 	dh_buildinfo
+	dh_sip
 
 debian/tmp:
 	CALIBRE_CONFIG_DIRECTORY=debian/tmp/config $(SETUP) install --root=debian/tmp/usr

## calibre 0.8.2+dfsg

=== debian/changelog ===
calibre (0.8.2+dfsg-1) unstable; urgency=low

  * Rebuild against libmagick 4. (Closes: #625544)
  * debian/watch: Update for new location on sourceforge.
  * Drop kfreebsd.patch, fixed upstream.
  * Unfuzz the other two patches.
  * debian/control: Change build dependency to unversioned libboost-dev.
  * debian/rules: Drop fixing recipes permissions, they are installed as a zip
    file now.
  * debian/rules: Rewrite weird "env python2" style hashbang lines to use
    standard /usr/bin/python.
  * debian/control, debian/rules: Force usage of python2.7 for now, as long as
    it is not the default yet. The new upstream version requires it now.
  * debian/control: Remove unnecessary python-pythonmagick dependency.
    (Closes: #628640)

 -- Martin Pitt <mpitt@debian.org>  Tue, 31 May 2011 07:38:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: cdbs (>= 0.4.43), 
  debhelper (>= 7),
  dh-buildinfo,  
- python-dev (>= 2.6),
+ python2.7-dev,
  python-setuptools,
  txt2man,
  python-qt4-dev (>= 4.7.3),
@@ -21,7 +21,6 @@
  python-cherrypy3,
  python-pyparsing,
  python-routes,
- python-pythonmagick,
  pyqt4-dev-tools,
  libmagickwand-dev,
  libsqlite3-dev,
@@ -30,18 +29,18 @@
  libicu-dev, 
  libpoppler-qt4-dev,
  libpodofo-dev,
- libboost1.42-dev,
+ libboost-dev,
  libchm-dev
 Maintainer: Miriam Ruiz <little_miry@yahoo.es>
 Uploaders: Martin Pitt <mpitt@debian.org>
 Standards-Version: 3.9.1
-XS-Python-Version: current
+XS-Python-Version: >= 2.7
 Homepage: http://calibre-ebook.com
 Vcs-Bzr: https://code.launchpad.net/~calibre-packagers/calibre/debian
 
 Package: calibre
 Architecture: all
-Depends: python (>= 2.6), 
+Depends: python2.7,
  python-dbus,
  python-imaging, 
  python-lxml, 
@@ -57,7 +56,6 @@
  python-qt4 (>= 4.8.3-2),
  python-pyparsing,
  python-routes,
- python-pythonmagick,
  xdg-utils, 
  imagemagick,
  poppler-utils,
@@ -101,7 +99,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${sip:Depends},
-  python (>= 2.6)
+ python2.7
 Recommends: calibre (>= ${source:Version})
 Description: e-book converter and library management
  Calibre is meant to be a complete e-library solution. It includes library

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-SETUP=python setup.py
+SETUP=python2.7 setup.py
 
 # This filters out *.so for the package "calibre". With this, we can
 # install usr/lib in calibre.install and just leave out the binary
@@ -45,17 +45,17 @@
 	ln -s /usr/share/fonts/truetype/ttf-liberation/ debian/tmp/usr/share/calibre/fonts/liberation
 
 	# fix executable permissions
-	find debian/tmp/usr/lib/calibre/calibre debian/tmp/usr/share/calibre/recipes -type f | xargs chmod a-x
+	find debian/tmp/usr/lib/calibre/calibre -type f | xargs chmod a-x
 
 	# add icon
 	mkdir -p debian/tmp/usr/share/pixmaps/
 	cp src/calibre/manual/resources/logo.png debian/tmp/usr/share/pixmaps/calibre.png
 
-	# remove invalid hashbangs from recipes, they have no __main__
-	find debian/tmp -name '*.recipe' | xargs sed -i '1 { /^#!/ d }'
-
 	# remove bogus files on KFreeBSD installation
 	rm -rf debian/tmp/config
+
+	# fix "env python2" style hashbangs
+	find debian/tmp -type f | xargs sed -i '1 { /^#!.*python/ s_^.*$$_#!/usr/bin/python2.7_ }'
 
 install/calibre::
 	# Create and install some of the man pages
